Api referenceWorkspaces

Comment Public Review

Reference for Comment Public Review in the Veriom v1 API, including request, response, and authentication details.

POST/v1/public/report-reviews/comments

Comment Public Review. Returns a typed response and a request ID for operational support.

Authorization

veriom_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Header Parameters

authorization?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/public/report-reviews/comments" \  -H "Content-Type: application/json" \  -d '{    "body": "string",    "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",    "reviewer_name": "string"  }'
{
  "body": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "reviewer_name": "string"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "hint": "Correct the fields identified in detail using the operation's request schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.veriom.ai/problems/validation_failed"
}

Was this guide useful?

Your response stays in this browser unless you open a GitHub issue.
View source